#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name}  | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python-Pillow
Version		:	9.2.0
Release		:	14.4.0.0%{?dist}
Summary		:	Python Imaging Library (PIL) fork.

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://github.com/python-pillow/Pillow/

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})
BuildRequires	:	%(basename %{__python})-setuptools
BuildRequires	:	freetype-devel
BuildRequires	:	libwebp
BuildRequires	:	libxcb

Requires	:	lcms2
Requires	:	libtiff
Requires	:	libxcb
Requires	:	openjpeg

Provides	:	python-pillow
#-----------------------------------------------------------------------------
%description
Python image processing library, fork of the
Python Imaging Library (PIL).
 
This library provides extensive file format support,
an efficient internal representation, and powerful
image processing capabilities.
 
There are four subpackages: tk (tk interface),
qt (PIL image wrapper for Qt),
devel (development) and doc (documentation).

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md CHANGES.rst
%license docs/COPYING
%{python3_sitelib}/PIL/_imaging*.so
%{python3_sitelib}/PIL/_webp*.so
%{python3_sitelib}/PIL/*.py
%{python3_sitelib}/PIL/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}-*.egg-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	setup.py					\
	build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__python}						\
	setup.py					\
	install						\
	--root %{buildroot}				\

#-----------------------------------------------------------------------------
%changelog
